﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.WinControls;

namespace TagCloud
{
    [ToolboxItem(true)]
    public class TagCloud : RadControl
    {
        TagCloudElement tagCloudElement;

        public TagCloud()
        {
            this.BackColor = Color.White;
            this.Size = new Size(400, 400);
        }
        protected override void CreateChildItems(RadElement parent)
        {
            this.tagCloudElement = new TagCloudElement();
            this.RootElement.Children.Add(tagCloudElement);
        }

        public List<TagCloudDataItem> Items
        {
            get
            {
                return this.tagCloudElement.Items;

            }
            set
            {
                this.tagCloudElement.Items = value;
            }
        }

        public double MinFontHeight
        {
            get
            {
                return this.tagCloudElement.MinFontHeight;
            }
            set
            {
                this.tagCloudElement.MinFontHeight = value;
            }
        }

        public double MaxFontHeight
        {
            get
            {
                return this.tagCloudElement.MaxFontHeight;
            }
            set
            {
                this.tagCloudElement.MaxFontHeight = value;
            }
        }
    }
}
