﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TagCloud
{
    public class TagCloudDataItem : IComparable<TagCloudDataItem>
    {
        private string _text;
        private string _navigateUrl;
        private double _weight;
        public string Text
        {
            get { return _text; }
            set { _text = value; }
        }

        public string NavigateUrl
        {
            get { return _navigateUrl; }
            set { _navigateUrl = value; }
        }
        public double Weight
        {
            get { return _weight; }
            set { _weight = value; }
        }
        public TagCloudDataItem(string text, string navigateUrl, double weight)
        {
            _text = text;
            _navigateUrl = navigateUrl;
            _weight = weight;
        }

        public int CompareTo(TagCloudDataItem value)
        {
            return this._weight.CompareTo(value._weight);
        }
    }
}
